com.holonplatform.vaadin.flow.navigator.exceptions

## Class InvalidNavigationParameterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.vaadin.flow.navigator.exceptions.InvalidNavigationParameterException

- All Implemented Interfaces:
    Serializable

      public class InvalidNavigationParameterException
      extends RuntimeException

  Exception to notify invalid navigation parameter values.
  Since:
    5.2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidNavigationParameterException()` Constructor.
    `InvalidNavigationParameterException(String message)` Constructor with error message.
    `InvalidNavigationParameterException(String message, Throwable cause)` Constructor with error message and nested exception.
    `InvalidNavigationParameterException(Throwable cause)` Constructor with nested exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidNavigationParameterException

          public InvalidNavigationParameterException()

      Constructor.

    - #### InvalidNavigationParameterException

          public InvalidNavigationParameterException(String message)

      Constructor with error message.
      Parameters:
        `message` - Error message

    - #### InvalidNavigationParameterException

          public InvalidNavigationParameterException(Throwable cause)

      Constructor with nested exception.
      Parameters:
        `cause` - Nested exception

    - #### InvalidNavigationParameterException

          public InvalidNavigationParameterException(String message,
                                                     Throwable cause)

      Constructor with error message and nested exception.
      Parameters:
        `message` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.